#if !defined(AFX_DLG_PDF_DOT_H__7B849A95_FB8C_4C14_B359_15BAECC9B6D7__INCLUDED_)
#define AFX_DLG_PDF_DOT_H__7B849A95_FB8C_4C14_B359_15BAECC9B6D7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Dlg_pdf_dot.h : header file
//
#include "apl_api.h"
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CDlg_pdf_dot dialog

class CDlg_pdf_dot : public CaplTranslateDialog
{
// Construction
public:
	bool RecursiveCreateNewDocs(CaplInstance *doc, CaplInstance *new_doc);
	aplExtent *pResult;
	bool Undo(CaplMap *map);
	CaplInstance *m_rez;
	CaplMap doc_map;
	bool CreateDocs(aplExtent& docs, int level, CaplMap &map);
	int m_cr_docs;
	void AssociatedCharact(CaplMap &map);
	bool Associateddocs(CaplMap &map);
	CaplMap m_map;
	CaplInstance *m_cont_filter;
	bool filter;
	int pr_count;
	int CreatePrd(CaplInstance *prd, CaplInstance* folder,
		CaplInstance *parent, CString par, CString _par, CProgressCtrl &progress, int level);

	int m_f_type;
	CaplInstance *m_pdf;
	CaplInstance *m_folder;
	CString m_s_dot;//id - шаблона
	CString m_s_pdf;//id - изделия
	CString m_s_mask;//маска
	CString m_s_val;//значение
	CaplAPI *m_api;
	CDlg_pdf_dot(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlg_pdf_dot)
	enum { IDD = IDD_CR_PDFBPDF_DLG };
	CEdit	m_ctrlDate;
	CEdit	m_ctrlSno;
	CEdit	m_ctrlCont;
	CStatic	m_ctrlStatic;
	CButton	m_ctrlOK;
	CEdit	m_ctrlPDF_dot;
	CEdit	m_ctrlPDF;
	CEdit	m_ctrlFolder;
	CEdit	m_ctrlMask;
	CEdit	m_ctrlNewVal;
	CProgressCtrl	m_ctrlProgress;
	int		m_iDoc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlg_pdf_dot)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	COleDateTime m_date;

	// Generated message map functions
	//{{AFX_MSG(CDlg_pdf_dot)
	afx_msg void OnChangeMaskDot();
	afx_msg void OnChangeNewVal();
	afx_msg void OnSelDot();
	afx_msg void OnSelFolder();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSetFilter();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_bSetRecursive;
	BOOL m_bSetVerID;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLG_PDF_DOT_H__7B849A95_FB8C_4C14_B359_15BAECC9B6D7__INCLUDED_)
